Bug 814887 - Review Request: encuentro - Content visualization of the Canal Encuentro.
Review Request: encuentro - Content visualization of the Canal Encuentro.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
: 814888 814894 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 22:05 EDT by Adrian Alves
Modified: 2012-05-26 02:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 01:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.badger: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adrian Alves 2012-04-20 22:05:33 EDT
Spec URL: http://alvesadrian.fedorapeople.org/encuentro.spec
SRPM URL: http://alvesadrian.fedorapeople.org/encuentro-0.5-1.fc16.src.rpm
Description: Welcome to the Canal Encuentro visualization program!

This is a simple program to search, download and see the content of the Canal Encuentro.

This program is strongly oriented to Spanish speaking people, as the content of Canal Encuentro is only in Spanish... for further information please check the LEEME.txt file.

Notes regarding licenses:

- The content of Canal Encuentro is not distributed at all, but downloaded personally by the user, please check here to see the licenses about that content: http://www.encuentro.gov.ar
Comment 1 Jason Tibbitts 2012-04-20 22:44:38 EDT
Some comments:

Is this your first package?  Do you require a sponsor?

BuildRoot: is unnecessary unless you play to build for RHEL5.  And if you do, you'll need to add cleaning of the buildroot in %install.

You can not use Prefix:, Packager:, or Vendor: in Fedora.

An empty %build is not actually required.  (Maybe for RHEL5; I'm not sure.)

%clean is not required (except for RHEL5, again).

%defattr(-,root,root) is not required; you only need it if you're specifying a non-default value.
Comment 2 Jason Tibbitts 2012-04-20 22:45:05 EDT
*** Bug 814888 has been marked as a duplicate of this bug. ***
Comment 3 Adrian Alves 2012-04-20 23:30:40 EDT
Hello Jason, First of all thanks and Yes is my first pkg and I need an sponsor.

can you clarify me this:
 %defattr(-,root,root) is not required; you only need it if you're specifying a
non-default value.

how need to me done in this case am an old builder for RHEL thats why u founded a lot of old RHEL5 flags, and many thanks for ur help.
Comment 4 Adrian Alves 2012-04-20 23:40:41 EDT
I fixed all that you suggest and I added the new versions into my fedorapeople new spec and new src.rpm

(In reply to comment #1)
> Some comments:
> 
> Is this your first package?  Do you require a sponsor?
> 
> BuildRoot: is unnecessary unless you play to build for RHEL5.  And if you do,
> you'll need to add cleaning of the buildroot in %install.
> 
> You can not use Prefix:, Packager:, or Vendor: in Fedora.
> 
> An empty %build is not actually required.  (Maybe for RHEL5; I'm not sure.)
> 
> %clean is not required (except for RHEL5, again).
> 
> %defattr(-,root,root) is not required; you only need it if you're specifying a
> non-default value.
Comment 5 Jason Tibbitts 2012-04-21 00:12:38 EDT
I've added the indication that you require a sponsor.

As for %defattr, basically you never need to say
  %defattr(-,root,root)
because that is the default.  It is very rare that you ever need anything but the default; I can only find one package that uses something else.  So you pretty much always want to just leave %defattr out.
Comment 6 Jason Tibbitts 2012-04-21 00:13:20 EDT
*** Bug 814894 has been marked as a duplicate of this bug. ***
Comment 7 Adrian Alves 2012-04-21 00:26:54 EDT
So basically just remove this %defattr(-,root,root) thats correct?
(In reply to comment #5)
> I've added the indication that you require a sponsor.
> 
> As for %defattr, basically you never need to say
>   %defattr(-,root,root)
> because that is the default.  It is very rare that you ever need anything but
> the default; I can only find one package that uses something else.  So you
> pretty much always want to just leave %defattr out.
Comment 8 Adrian Alves 2012-04-22 14:32:09 EDT
I added a new versions there with the suggested fixes:
Spec URL: http://alvesadrian.fedorapeople.org/encuentro.spec
SRPM URL: http://alvesadrian.fedorapeople.org/encuentro-0.5-1.fc16.src.rpm
Comment 9 Adrian Alves 2012-04-22 14:40:27 EDT
there is a new version of enceuntro in my fedorapeople to be tested last msg has the details
Comment 10 Adrian Alves 2012-04-25 21:40:24 EDT
Added some changes suggested by my sponsor.
Here are the new releases:
http://alvesadrian.fedorapeople.org/encuentro-0.5-3.fc16.src.rpm
http://alvesadrian.fedorapeople.org/encuentro.spec
Comment 11 Toshio Ernie Kuratomi 2012-04-25 22:13:15 EDT
NEEDSWORK

Good:
* This is an application package.  It is named by the application name
* The spec file is the package name.
* License is GPLv3 in spec file and sources which is an approved free software license
* Spec file is mostly legible.  See the notes in Cosmetic, below
* Source matches upstream and upstream source url is the correct place
* No locale files so no need to mark them as lang files
* Not a shared elf library
* No bundled libraries
* Not designed to be relocatable
* Macros used consistently
* Code, not content
* No large documentation files
* Nothing in %doc affects runtime
* No scriptlets needed

Mustfix:
* Doesn't build because setup.py install doesn't install all of the files listed in %files
* Doesn't build because __python is used instead of %{__python}
* Need to separate %build and %install sections.  Should look like this:
  %build
  %{__python} setup.py build

  %install
  %{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
* Documentation files need to be added in %files at least:
  %doc COPYING README.txt
  Since the target audience speaks Spanish, you probably want to include
  LEEMA.txt and AYUDA.txt as well.  AUTHORS is also nice to include
* Package creates %{_datadir}/encuentro/  Needs to own that directory in the
  %files section
* desktop-file-install needs to be used to install the desktop file


Cosmetic:
* Description (and changelog) lines should be no more than 80 characters.
* It's nicer to format multiple Requires just as in programming:
  Requires: python-mechanize, python-twisted, pygtk2, pyxdg
  or
  Requires: python-mechanize
  Requires: python-twisted
  Requires: pygtk2
  Requires: pyxdg
* There's no reason to give --record=INSTALLED_FILES to setup.py because we're
  not going to use that to construct our file list.  If you look, at the Python
  guidelines they say that --record isn't a good way to get the installed files
  because it does not record directories

Not yet done (Can't do these until the package builds):
* rpmlint
* builds in koji
* Test that packge runs
* Check %files vs what's installed again once the package builds
* Check file permissions
* Check that all filenames are utf-8
Comment 12 Toshio Ernie Kuratomi 2012-04-25 22:15:48 EDT
I believe that we don't use apport in Fedora so those files shouldn't be shipped.
Comment 13 Adrian Alves 2012-04-25 22:55:25 EDT
Added some changes suggested by my sponsor.
Here are the new releases:
http://alvesadrian.fedorapeople.org/encuentro-0.5-3.fc16.src.rpm
http://alvesadrian.fedorapeople.org/encuentro.spec
Comment 14 Adrian Alves 2012-04-25 22:55:44 EDT
Added some changes suggested by my sponsor.
Here are the new releases:
http://alvesadrian.fedorapeople.org/encuentro-0.5-4.fc16.src.rpm
http://alvesadrian.fedorapeople.org/encuentro.spec
Comment 15 Toshio Ernie Kuratomi 2012-04-25 23:32:05 EDT
FIXED:
* %build and %install taken care of.  Package now builds
* Documentation added
* desktop-file-validate is now used
* File permissions are good
* All filenames are utf-8
* Files and directories created by this package are owned by it

NEEDS FIXING:
* Does not build in koji or mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=4023608
    /var/tmp/rpm-tmp.n8J0EZ: line 33: /usr/bin/python: No such file or directory
  You need to pull python into the build like this:
    BuildRequire: python2-devel
* We're not currently shipping apport in Fedora so we shouldn't be shipping the
  apport files

COSMETIC:
* It's recommended that when including a directory in the %file list you use a
  trailing slash.  That way other people (future package maintainers,
  reviewers, etc) know that you intend to include the directory.  So it would
  look like this:
  %{_datadir}/encuentro/
* Description (and changelog) lines should be no more than 80 characters.

rpmlint:
- encuentro.noarch: W: summary-ended-with-dot C Content visualization of the Canal Encuentro.
  Don't use a period in the Summary

- encuentro.noarch: W: name-repeated-in-summary C Encuentro
  Is Canal Encuentro the proper name of a "place"/project/similar?  If so, this
  warning can be ignored

- encuentro.noarch: E: description-line-too-long C This is a simple program to search, download and see the content of the Canal Encuentro.
  Lines should be less than 80 characters

- encuentro.noarch: W: non-standard-group Multimedia
  Ignorable, we don't use the Group tag in Fedora.

- encuentro.noarch: E: non-executable-script /usr/share/encuentro/encuentro/__init__.py 0644L /usr/bin/python
  This is because __init__.py has a shebang line (#!/usr/bin/python) but isn't really a script.
  You can get rid of the error by deleting that line using sed in %prep:
  sed -i '1d' encuentro/__init__.py

- encuentro.noarch: W: no-manual-page-for-binary encuentro
  This is a warning that there's no man page.  If one exists somewhere (for
  instance in the Debian package) you can include it in our package.

- encuentro.src:29: W: setup-not-quiet
  We usually give the -q flag to %setup.  So the %setup in your package would be:
  %setup -qn %{name}-%{version}

- encuentro.src:58: W: macro-in-%changelog %build
  Macros are expanded no matter where in the file they are (comments,
  changelog, description, etc).  They should be escaped when you don't
  mean to use them.  Like: %%build.
Comment 16 Adrian Alves 2012-04-25 23:33:11 EDT
Added some changes suggested by my sponsor.
Here are the new releases:
http://alvesadrian.fedorapeople.org/encuentro-0.5-4.fc16.src.rpm
http://alvesadrian.fedorapeople.org/encuentro.spec
Comment 17 Adrian Alves 2012-04-25 23:49:36 EDT
Added all the fixes suggested by my sponsor, here:
http://alvesadrian.fedorapeople.org/encuentro-0.5-5.fc16.src.rpm
http://alvesadrian.fedorapeople.org/encuentro.spec
Comment 18 Toshio Ernie Kuratomi 2012-04-26 11:25:57 EDT
FIXED:
* Builds in koji: /srv/git/wishlist/encuentro-0.5-5.fc16.src/encuentro-0.5-5.fc16.src.rpm
* Some of the rpmlint complaints
* Built rpm installs and runs

NEEDS FIXING:
* We're not shipping apport in Fedora so we shouldn't be shipping the apport
  files.  You can delete them in the %install section or use %exclude in the files section to deal with it.  (For instance:

  %files
  %exclude %{_datadir}/apport/

* Description (and changelog) lines should be no more than 80 characters

rpmlint still complains:
- encuentro.noarch: W: name-repeated-in-summary C Encuentro
  Is Canal Encuentro the proper name of a "place"/project/similar?  If so, this
  warning can be ignored.  If not, it shouldn't be in the Summary.  I don't
  know which it is.
- encuentro.noarch: E: description-line-too-long C This is a simple program to search, download and see the content of the Canal Encuentro.
  Lines should be less than 80 characters.  So you should go through your
  desciption and split all lines that are over 80 characters with newlines
- encuentro.noarch: W: no-manual-page-for-binary encuentro
  This is a warning that there's no man page.  If one exists somewhere (for
  instance in the Debian package) you can include it in our package.  If you've
  looked and haven't found a man page elsewhere, just state that you couldn't
  find one.
* encuentro.spec:2: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
  This is cosmetic but ought to be cleaned up.  Some of your lines have both
  spaces and tabs to format them.  It's better to just use spaces or just tabs.
  I personally prefer all spaces.  There's also  trailing tabs in some of your
  lines (Look at Version for instance).
Comment 19 Adrian Alves 2012-04-26 19:15:18 EDT
Added all the fixes suggested by my sponsor, here:
http://alvesadrian.fedorapeople.org/encuentro-0.5-6.fc16.src.rpm
http://alvesadrian.fedorapeople.org/encuentro.spec

There isnt any manpages offered by the upstream yet.
Comment 20 Toshio Ernie Kuratomi 2012-04-26 19:32:12 EDT
* Description lines are sill too long.  They need to be split so that they're 80 characters or less.

* You've added the %exclude for apport but you've got to take out the line that is adding apport to the %files as well.
Comment 21 Adrian Alves 2012-04-26 23:07:43 EDT
Toshio sorry for bother u but which line I need to tak out that adds apport?
can you help me on that before rebuild a new release?
Comment 22 Adrian Alves 2012-04-27 07:23:11 EDT
Added all the fixes suggested by my sponsor, here:
http://alvesadrian.fedorapeople.org/encuentro-0.5-7.fc16.src.rpm
http://alvesadrian.fedorapeople.org/encuentro.spec
Comment 23 Toshio Ernie Kuratomi 2012-04-27 20:34:58 EDT
Everything fixed.  APPROVED.
Comment 24 Toshio Ernie Kuratomi 2012-04-27 20:38:54 EDT
And I've sponsored you.
Comment 25 Adrian Alves 2012-04-27 21:52:56 EDT
New Package SCM Request
=======================
Package Name: encuentro
Short Description: Content visualization of Encuentro
Owners: alvesadrian
Branches: f17
InitialCC:
Comment 26 Gwyn Ciesla 2012-04-28 10:41:41 EDT
Git done (by process-git-requests).
Comment 27 Adrian Alves 2012-05-01 01:18:14 EDT
Successfully built:

~/fedora-scm/encuentro]$ fedpkg build
Building encuentro-0.5-7.fc18 for rawhide
Created task: 4038278
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4038278
Watching tasks (this may be safely interrupted)...
4038278 build (rawhide, /encuentro:6d1f2f844cb2488f283bfa6add48afd80c4a5dcd): free
4038278 build (rawhide, /encuentro:6d1f2f844cb2488f283bfa6add48afd80c4a5dcd): free -> open (ppc12.phx2.fedoraproject.org)
  4038592 buildSRPMFromSCM (/encuentro:6d1f2f844cb2488f283bfa6add48afd80c4a5dcd): free
  4038592 buildSRPMFromSCM (/encuentro:6d1f2f844cb2488f283bfa6add48afd80c4a5dcd): free -> open (x86-14.phx2.fedoraproject.org)
  4038592 buildSRPMFromSCM (/encuentro:6d1f2f844cb2488f283bfa6add48afd80c4a5dcd): open (x86-14.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
  4038616 buildArch (encuentro-0.5-7.fc18.src.rpm, noarch): free
  4038616 buildArch (encuentro-0.5-7.fc18.src.rpm, noarch): free -> open (x86-01.phx2.fedoraproject.org)
  4038616 buildArch (encuentro-0.5-7.fc18.src.rpm, noarch): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
  4038640 tagBuild (noarch): closed
4038278 build (rawhide, /encuentro:6d1f2f844cb2488f283bfa6add48afd80c4a5dcd): open (ppc12.phx2.fedoraproject.org) -> closed
  0 free  0 open  4 done  0 failed

4038278 build (rawhide, /encuentro:6d1f2f844cb2488f283bfa6add48afd80c4a5dcd) completed successfully


Closing the ticket right now, Thanks Toshio!!
Comment 28 Fedora Update System 2012-05-01 01:22:49 EDT
encuentro-0.5-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/encuentro-0.5-7.fc17
Comment 29 Fedora Update System 2012-05-26 02:56:46 EDT
encuentro-0.5-7.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.